﻿/*Nav Bar*/
.main-header {
    background-color:#FFB8B1!important;
    /*pink colour*/
    color: #993441;
    /*burgundy colour*/
}

/*Side Bar*/
.e-sidebar {
    background-color: white !important;
    height:100%!important;
}

.e-treeview .e-list-item.e-active > .e-fullrow {
    background-color: #FFB8B1 !important;
    border: none !important;
}

.e-treeview .e-list-item.e-hover > .e-fullrow {
    background-color: #FFB8B1 !important;
    border: none !important;
}

.e-treeview .e-list-item.e-active > .e-text-content .e-icon-collapsible, .e-treeview .e-list-item.e-active > .e-text-content .e-icon-expandable {
    color: #993441 !important;
}

.e-treeview .e-list-item div.e-icons.interaction {
    color: #993441 !important;
}

.e-list-text {
    color: #993441 !important;
}

.icon-menu {
    color: white !important;
}

/*Text*/

h1, h3, h6 {
    color: #993441 !important;
}

/*Targets ALL table heads*/
th {
    color: #993441 !important;
}

/*multiline textbox*/
.multiline {
    margin-bottom: 30px;
    width: 100%;
    height:100%!important;
}

/*Table in People Group*/

/*toolbar*/
.e-toolbar .e-tbar-btn:hover {
    background: #993441 !important;
    border: 1px solid #5a70cc;
}

.e-tbar-btn-text:hover {
    color: #FFB8B1 !important;
}

.e-toolbar .e-tbar-btn .e-icons:hover {
    color: #FFB8B1 !important;
}

.e-toolbar .e-tbar-btn:active {
    background: #993441 !important;
    border: 1px solid #5a70cc;
/*    color: red !important;*/
}

.e-toolbar .e-tbar-btn:focus {
    background: #993441 !important;
    border: 1px solid #5a70cc;
/*    color: red !important;*/
}

.e-search-icon {
    color: #993441;
}

    .e-search-icon:hover {
        background-color: #993441 !important;
        color: #FFB8B1 !important;
    }

/*removes the blue border when clicking on a cell*/
.e-grid .e-focused:not(.e-menu-item) {
    box-shadow: none !important;
}

/*Page number buttons*/
/*Double chevron button*/
.e-pager div.e-icons.e-pager-default {
    color: #993441 !important;
}

    .e-pager div.e-icons.e-pager-default:hover {
        color: #993441 !important;
        background-color: #FFB8B1 !important;
    }

/*Number 2 button*/
.e-pager.sf-pager .e-link {
    color: #993441 !important;
    background-color: white !important;
}

    .e-pager.sf-pager .e-link:hover {
        color: #993441 !important;
        background-color: #FFB8B1 !important;
    }

/*single chevron button*/
.e-pager.sf-pager .e-next.e-icons.e-icon-next.e-nextpage.e-pager-default {
    background-color: white !important;
    color: #993441 !important;
}

    .e-pager.sf-pager .e-next.e-icons.e-icon-next.e-nextpage.e-pager-default:hover {
        background-color: #FFB8B1 !important;
        color: #993441 !important;
    }


.e-pager .e-numericitem.e-currentitem:hover {
    /*    padding: 7.4px 10.5px 8.4px 9.5px;*/
    color: #993441 !important;
    background-color: #FFB8B1 !important;
}

.e-pager .e-currentitem.e-numericitem.e-focused {
    box-shadow: 0 0 0 1px #FFB8B1 inset !important;
    background-color: white !important;
    border-color: #FFB8B1 !important;
    color: #993441 !important;
}

.e-pager .e-currentitem.e-numericitem {
    box-shadow: 0 0 0 1px #FFB8B1 inset !important;
    background-color: white !important;
    border-color: #FFB8B1 !important;
    color: #993441 !important;
}


/*In Edit Mode*/
/*Edit > Main*/
/*Buttons*/
.e-flat {
    color: #993441 !important;
    font-weight: bold !important;
    border: none !important;
    background-color: transparent !important;
}

    .e-flat:hover {
        background-color: #FFB8B1 !important;
        color: #993441 !important;
        font-weight: bold !important;
        border: none !important;
    }

    .e-flat:active {
        background-color: #FFB8B1 !important;
        color: #993441 !important;
        font-weight: bold !important;
        border: none !important;
        outline: 0 !important;
        box-shadow: none !important;
    }
    /*Focus removes the blue border that comes with bootstrap5*/
    .e-flat:focus {
        background-color: #FFB8B1 !important;
        color: #993441 !important;
        font-weight: bold !important;
        border: none !important;
        outline: 0 !important;
        box-shadow: none !important;
    }

.e-footer-content .e-btn.e-primary.e-flat:not([DISABLED]) {
    background: #FFB8B1;
    color: #993441;
}

/*Checkboxes*/
.e-checkbox-wrapper .e-frame.e-check {
    background-color: #FFB8B1 !important;
    border: none !important;
    border-color: none !important;
    outline: 0 !important;
    box-shadow: none !important;
}

.e-checkbox-wrapper:hover .e-frame.e-check {
    background-color: #A9A9A9 !important;
    outline: none !important;
    box-shadow: none !important;
    box-shadow: rgba(50, 50, 93, 0.25) 0px 6px 12px -2px, rgba(0, 0, 0, 0.3) 0px 3px 7px -3px !important;
}

.e-checkbox-wrapper:active .e-frame.e-check {
    background-color: #FFB8B1 !important;
    border-color: none !important;
    outline: 0 !important;
    box-shadow: none !important;
}

.e-checkbox-wrapper:focus .e-frame {
    background-color: #FFB8B1 !important;
    border-color: none !important;
    outline: 0 !important;
    box-shadow: none !important;
}

.e-checkbox-wrapper:after .e-frame {
    background-color: #FFB8B1 !important;
    border-color: none !important;
    outline: 0 !important;
    box-shadow: none !important;
}
/*WHY DOES THE BOX REMAIN BLUE AFTER TICKING THEN UNTICKING? WHAT STATE IS IT IN?*/

hr {
    color: #993441 !important;
}

/*Tabs*/
.e-tab-text {
    color: #993441 !important;
}

.e-tab {
    border:none!important;
}
.e-tab-wrap:before {
    background-color: white !important;
}

.e-tab-wrap:hover {
    background-color: #FFB8B1 !important;
}

.e-tab-wrap:active {
    background-color: #FFB8B1 !important;
    border: none !important;
}

/*Calender*/

/*Calender title*/
.e-calendar .e-header .e-title, .e-bigger.e-small .e-calendar .e-header .e-title {
    color: #993441;
}

/*Calender dates selected*/
.e-calendar .e-content td.e-selected.e-focused-date span.e-day {
    background-color: #FFB8B1;
    color: black;
    border:none!important;
    box-shadow:none!important;
    outline:none!important;
}

/*Date range calender*/
/*Calender date range start date*/
.e-daterangepicker.e-popup .e-calendar .e-start-date.e-selected.e-range-hover span.e-day {
    background-color: #FFB8B1;
    color: black;
}

/*Calender date range end date*/
.e-daterangepicker.e-popup .e-calendar .e-end-date.e-selected.e-range-hover span.e-day {
    background-color: #FFB8B1;
    color: black;
}

/*Apply/Cancel buttons on date range picker*/
.e-daterangepicker.e-popup .e-footer .e-btn.e-apply.e-flat.e-primary, .e-daterangepicker.e-popup .e-footer .e-css.e-btn.e-apply.e-flat.e-primary {
    background-color: #FFB8B1;
    border: none !important;
    color: #993441;
}

/*Date range icon on hover*/
.e-input-group:not(.e-disabled) .e-input-group-icon:hover, .e-input-group.e-control-wrapper:not(.e-disabled) .e-input-group-icon:hover {
    background: #FFB8B1!important;
    color: #993441!important;
}

/*Month prev and next buttons*/
.e-date-icon-next::before {
/*    background-color: red !important;*/
    box-shadow:none!important;
    border:none!important;
    outline:none!important;
}

.e-next:hover {
    background-color: #FFB8B1 !important;
}

.e-prev:hover {
    background-color: #FFB8B1 !important;
}

/*Calendar dates on hovering*/
.e-calendar .e-content td:hover span.e-day, .e-calendar .e-content td:focus span.e-day, .e-bigger.e-small .e-calendar .e-content td:hover span.e-day, .e-bigger.e-small .e-calendar .e-content td:focus span.e-day {
    background-color: #FFB8B1 !important;
    border: none !important;
    color: #993441;
}

/*Footer button "today"*/
.e-calendar .e-btn.e-today.e-flat.e-primary, .e-calendar .e-css.e-btn.e-today.e-flat.e-primary {
    background-color: white;
    color: black;
}

/*up down arrows color*/
.e-calendar .e-header span, .e-bigger.e-small .e-calendar .e-header span {
    color: #993441!important;
}

    /*up down arrows hover*/
    .e-calendar .e-header span:hover, .e-bigger.e-small .e-calendar .e-header span:hover {
        color: #993441 !important;
        background-color: none;
    }

/*textboxes*/
.e-input-group {
    outline: none !important;
    box-shadow: none !important;
    border-color: #D3D3D3 !important;
}

    .e-input-group:hover {
        outline: none !important;
        box-shadow: none !important;
        border-color: #FFB8B1 !important;
        box-shadow: rgba(50, 50, 93, 0.25) 0px 6px 12px -2px, rgba(0, 0, 0, 0.3) 0px 3px 7px -3px !important;
    }

    .e-input-group:active {
        outline: none !important;
        box-shadow: none !important;
        border-color: #FFB8B1 !important;
    }

    .e-input-group:focus {
        outline: none !important;
        box-shadow: none !important;
        border-color: #FFB8B1 !important;
    }

    .e-input-group:after {
        outline: none !important;
        box-shadow: none !important;
        border-color: #FFB8B1 !important;
    }

/*Aligns text within a text box. ie. drop down */
.e-input-value {
    padding-left: 1%;
    padding-top: 1% !important;
}

/*placeholder text*/
.e-float-input.e-control-wrapper:not(.e-error) input:valid ~ label.e-float-text, .e-float-input.e-control-wrapper:not(.e-error) input ~ label.e-label-top.e-float-text {
    color: #989898 !important;
}

/*multiline text box - more space to write*/
.multiline-tb {
    height:100px!important;
}
/*Drop down boxes with multiple columns*/
.e-multi-column {
    outline: none !important;
    box-shadow: none !important;
}

.e-dropdownbase .e-list-item.e-item-focus, .e-dropdownbase .e-list-item.e-active, .e-dropdownbase .e-list-item.e-active.e-hover, .e-dropdownbase .e-list-item.e-hover {
    background-color: #FFB8B1;
    color: #993441;
}


/*Financial > Edit > Main*/
/*Select Donor Button (sfButton)*/
.select-button {
    color: #993441 !important;
    font-weight: bold !important;
    border: none !important;
    background-color: transparent!important;
}

    .select-button:hover {
        background-color: #FFB8B1 !important;
        color: #993441 !important;
        font-weight: bold !important;
        border: none !important;
    }

.select-button:active {
    background-color: #FFB8B1 !important;
    color: #993441 !important;
    font-weight: bold !important;
    border: none !important;
    outline: 0 !important;
    box-shadow: none !important;
}

.select-button:focus {
    background-color: #FFB8B1 !important;
    color: #993441 !important;
    font-weight: bold !important;
    border: none !important;
    outline: 0 !important;
    box-shadow: none !important;
}

/*loading spinner*/
.e-spinner-pane .e-spinner-inner .e-spin-bootstrap5 {
    stroke: #FFB8B1!important;
}

/*cards*/
.e-card {
    border:none!important;
}

    .e-card:hover {
        box-shadow: rgba(0, 0, 0, 0.1) 0px 4px 12px;
        outline: none !important;
        border: none !important;
    }